#ifndef CAMERA_H_
#define CAMERA_H_

#include <opencv2/opencv.hpp>
#include <iostream>
#include <fstream>
#include <sstream>
#include <iomanip>
#include <mutex>
#include <fcntl.h>
#include <unistd.h>
#include <sys/mman.h>
#include <sys/ioctl.h>
#include <linux/fb.h>
#include <algorithm>
#include <chrono>
#include <thread>

#include "image_cv.h"
#include "global.h"
#include "frame_buffer.h"
#include "control.h"

int CameraInit(uint8_t camera_id, double dest_fps, int width, int height);
int CameraHandler(void);
void cameraDeInit(void);

extern double g_steer_deviation;

#endif
